import os
basedir = os.path.abspath(os.path.dirname(__file__))

# Remove or fallbacks for prod

class Config:
    SECRET_KEY = os.environ.get('DOTENV_FLASK_SECRET_KEY')
    #SQLALCHEMY_DATABASE_URI = 'sqlite:///' + os.path.join(basedir, 'zapp.db')
    SQLALCHEMY_DATABASE_URI = 'mariadb+mariadbconnector://flasku:' + os.environ.get('DOTENV_MYSQL_PASSWORD') + '@db:3306/flask'

    MAIL_SERVER = 'pmb'
    MAIL_PORT = 25
    MAIL_USE_TLS = False
    MAIL_USERNAME = ''
    MAIL_PASSWORD = ''
    ADMINS = [os.environ.get('DOTENV_ADMIN_EMAIL')]
    FROM_ADDRESS = os.environ.get('DOTENV_FROM_ADDRESS')
    REAL_HOSTNAME = os.environ.get('DOTENV_REAL_HOSTNAME')
    ALLOW_REGISTRATION = os.environ.get('DOTENV_ALLOW_REGISTRATION')


    DC_LOGGING = True
    POSTS_PER_PAGE=5
    

